Subject: Re: [PATCH net-next v3 1/6] net: ethtool: allow symmetric-xor RSS hash for any flow type

From: Jakub Kicinski <[email-masked]>
Date: Mon, 16 Oct 2023 08:02:02 -0700

On Sat, 14 Oct 2023 06:19:54 -0600 Ahmed Zaki wrote:
> >> +#define        RXH_SYMMETRIC_XOR       (1 << 30)
> >> +#define        RXH_DISCARD             (1 << 31)
> >>
> >> Are these indentation changes intentional?
> >>
> >>
> >> Yes, for alignment ("RXH_SYMMETRIC_XOR" is too long).  
> > 
> > I think it's preferable to not touch other lines. Among others, that
> > messes up git blame. But it's subjective. Follow your preference if no
> > one else chimes in.  
> 
> Jakub,
> 
> Sorry for late reply, I was off for few days.
> 
> I'd like to keep this version, I don't see any other comments that needs 
> to be addressed. Can you accept this or need a v4/rebase ?

I think you should add a comment above the define explaining what
"symmetric-xor" is. Is this correct?

/* XOR corresponding source and destination fields, both copies 
 * of the XOR'ed fields are fed into the RSS and RXHASH calculation.
 */